<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="xml" version="1.0" indent="yes"/>
	<xsl:variable name="vulteken" select="'X'"/>
	<xsl:variable name="libdataset1" select="'LIB - MTR - BG'"/>
	<xsl:variable name="libdataset2" select="'LIB - Bodemloket - BG'"/>
	<xsl:variable name="libdataset5" select="'LIB - Bodemloket - NBG'"/>
	<xsl:variable name="schema" select="/deelsets/@schema"/>
	<xsl:template match="/deelsets">
		<html>
			<head>
				<title>LIB Dataset</title>
				<style type="text/css">
table {
	font: 11px/24px Verdana, Arial, Helvetica, sans-serif;
	border-collapse: collapse;
		width: 1660px;
}

th {
	padding: 0 0.5em;
	text-align: center;
	border-top: 1px solid #FB7A31;
	border-left: 1px solid #FB7A31;
	border-right: 1px solid #FB7A31;
	border-bottom: 1px solid #FB7A31;
	background: #FDB;
	}

td {
	border-bottom: 1px solid #CCC;
	border-left: 1px solid #CCC;
	border-right: 1px solid #CCC;
	padding: 0 0.5em;
	}

th.omschrijving {
	width: 300px;
	}

th.pad {
	width: 800px;
	text-align: left;
	}
th.veld {
	width: 200px;
	text-align: left;
	}

td.aanwezig {
	text-align: center;
	}

th.tussen {
	border-bottom: 1px solid #CCC;
	border-left: 1px solid #CCC;
	border-right: 1px solid #CCC;
	background: #FFB;
	font-weight: bold; 
	font-style: italic; 
	text-align: left;
	}
	
th.deelset{
	width: 60px;
}


				</style>
			</head>
			<body>
				<table>
			<tr>
				<th rowspan="2" class="veld">veldnaam volgens protocol SIKB 0101</th>
				<th rowspan="2" class="omschrijving">omschrijving volgens protocol SIKB 0101</th>
				<th colspan="2">Bevoegd Gezag</th>
				<th colspan="1">Niet-Bevoegd Gezag</th>
				<th rowspan="2" class="pad">pad in XML volgens protocol SIKB 0101</th>
			</tr>
			<tr >
				<th class="deelset">MTR</th>
				<th class="deelset">Bodem-loket</th>
				<th class="deelset">Bodem-loket</th>
			</tr>
					<xsl:for-each select="groep">
						<tr > 
							<th colspan="9" class="tussen">
								<xsl:value-of select="@naam"/>
							</th>
						</tr>
						<xsl:for-each select="entiteit">
									<xsl:variable name="veldnaam" select="translate(reverse(tokenize(@pad,'/'))[1],'@','')"/>
									<xsl:variable name="parent" select="reverse(tokenize(@pad,'/'))[2]"/>
									<xsl:variable name="parenttype" select="concat($parent, 'Type')"/>
							<tr>
								<td>
									<xsl:value-of select="$veldnaam"/>
								</td>
								<td class="omschrijving">
									<xsl:value-of select="doc($schema)//xs:annotation/xs:documentation[../../@name=$veldnaam and (../../../../../@name=$parent or ../../../../@name=$parent or ../../../@name=$parenttype or ../../../@base=$parenttype or ../../../../@name=$parenttype)][1]"/>

								</td>
								<td class="aanwezig">
									<xsl:if test="deelset/@naam=$libdataset1">
										<xsl:value-of select="$vulteken"/>
									</xsl:if>
								</td>
								<td class="aanwezig">
									<xsl:if test="deelset/@naam=$libdataset2">
										<xsl:value-of select="$vulteken"/>
									</xsl:if>
								</td>

								<td class="aanwezig">
									<xsl:if test="deelset/@naam=$libdataset5">
										<xsl:value-of select="$vulteken"/>
									</xsl:if>
								</td>

								<td>
									<xsl:value-of select="@pad"/>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
